org.apache.ignite.internal.processors.cache.mvcc

## Interface MvccVersion

All Superinterfaces:
  Comparable<MvccVersion>

All Known Subinterfaces:
  MvccSnapshot

All Known Implementing Classes:
  MvccSnapshotResponse, MvccSnapshotWithoutTxs, MvccVersionImpl

    public interface MvccVersion
    extends Comparable<MvccVersion>

MVCC version. This is unique version allowing to order all reads and writes within a cluster. Consists of two parts: - coordinator version - number which increases on every coordinator change; - counter - local coordinator counter which is increased on every update.

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default int` `compareTo(@NotNull MvccVersion another)`
`long` `coordinatorVersion()`
`long` `counter()`
`int` `operationCounter()`

### Method Detail

#### coordinatorVersion

    long coordinatorVersion()

Returns:
  Coordinator version.

#### counter

    long counter()

Returns:
  Local counter.

#### operationCounter

    int operationCounter()

Returns:
  Operation id in scope of current transaction.

#### compareTo

    default int compareTo(@NotNull
                          @NotNull MvccVersion another)

Specified by:
  `compareTo` in interface `Comparable<MvccVersion>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022